﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="BrowseApplication.ascx.cs" Inherits="CommunityServer.Web.Utility.ContentFragments.Common.BrowseApplication" Debug="true" %>
<%@ Import Namespace="CommunityServer.Components"%>
<%@ Import Namespace="CuteChat" %>
<%@ Import Namespace="CommunityServer.Discussions.Components" %>

<script language="C#" runat="server">

    void Page_Load()
    {
        CommunityServer.Discussions.Controls.CSForumThemePage csFourmThemePage = new CommunityServer.Discussions.Controls.CSForumThemePage();
        //CommunityServer.Discussions.Components.Forum

        if (   csFourmThemePage.CurrentGroup != null)
            csFourmThemePage.SetTitle(csFourmThemePage.CurrentGroup.Name, true);
        else
            csFourmThemePage.SetTitle(ResourceManager.GetString("forums"), true);
    }
    string GetForumChatterNames(object forumid)
    {
        string key = "Forum:" + forumid;
        foreach (LobbyInfo info in ChatApi.GetLobbyInfoArray())
        {
            if (info.Lobby.Integration == key)
                return info.JoinClient(",");
        }
        return "";
    }
    int GetForumChatterCount(object forumid)
    {
        string key = "Forum:" + forumid;
        foreach (LobbyInfo info in ChatApi.GetLobbyInfoArray())
        {
            if (info.Lobby.Integration == key)
                return info.ClientCount;
        }
        return 0;
    }

</script>

<CSControl:JQuery runat="server" />
<CSControl:JQueryDataTable runat="server" />
<CSControl:Script Src="~/Utility/ContentFragments/Common/BrowseApplication.js" EnableFileDateVersioning="true" runat="server" />

<script type="text/javascript">
    // <![CDATA[
    var Core_BrowseApplication_AjaxEndpoint =
        '<%= VirtualPathUtility.ToAbsolute("~/Utility/ContentFragments/Common/BrowseApplicationAjax.asmx") %>'
        
    <%= this.CreateContextVariable(new {applicationName = GetAjaxApplicationName(), addFavorite = ResourceManager.GetString("UIFragment_Core_BrowseApplication_AddFavorite"), removeFavorite = ResourceManager.GetString("UIFragment_Core_BrowseApplication_RemoveFavorite")}) %>
    // ]]>
</script>

<div class="field-list-header"></div>
<fieldset class="field-list">
    <ul class="field-list">
        <li class="field-item">
            <span class="field-item-input"><input id="search" class="search" type="text" /></span>
        </li>
        <li class="field-item">
            <input type="button" value=" " />
        </li>
    </ul>
</fieldset>
<div class="field-list-footer"></div>

<div class="table-list-header"></div>
<table class="table-list">
    <thead>
        <tr class="table-header">
        <asp:Repeater ID="rptHeaderColumns" runat="server">
        <ItemTemplate>
            <th class="table-header-column"><%# Container.DataItem %><a href="#" class="internal-link sort-descending"></a></th>
        </ItemTemplate>
        </asp:Repeater>
        </tr>
    </thead>
    <tbody>
        <asp:Repeater ID="rptSections" runat="server">
        <ItemTemplate>
            <tr class="table-item">
                <% if (ShowTitle) { %>
                <td class="table-column">
                    <a class="internal-link view-application" href="<%# Eval("Url") %>"><%# Eval("Title") %></a>
                    <a id="item_<%# Eval("Id") %>" class="<%# Eval("IsFavorite") %>"><CSControl:ResourceControl runat="server" ResourceName="UIFragment_Core_BrowseApplication_AddFavorite" /></a>
                    <span class="description"><%# Eval("Description") %></span>
                </td>
                <% } %>
                <% if (ShowPosts) { %>
                <td class="table-column"><%# Eval("Posts") %></td>
                <% } %>
                <% if (ShowLastPosts) { %>
                <td width=150px id="lastPost" class="table-column"><%# Eval("LastPostFormatted") %>
                
              <a style="margin-left:20px; margin-right:0" href='<%# ResolveUrl("~/RedirectForumToChat.Aspx?ForumId="+ Eval("Id")) %>'
                            title="<%# Eval("Title") %>">
                            <img src="<%=ResolveUrl("~/CuteSoft_Client/CuteChat/images/privatechat.gif")%>" align="absmiddle"
                                border="0"></a>
                
                </td>
                <% } %>
         
              
             
            </tr>  
        </ItemTemplate>
        </asp:Repeater>
    </tbody>
</table>
<div class="table-list-footer"></div>

<script type="text/javascript">
    $(document).ready(function() {
					var today = '<% = ResourceManager.GetString("UIFragment_Core_BrowseApplication_Today") %>'.toLowerCase();
					var yesterday = '<% = ResourceManager.GetString("UIFragment_Core_BrowseApplication_Yesterday") %>'.toLowerCase();
					
					jQuery.fn.dataTableExt.aTypes.push(
					function (sData) {
						if(!isNaN(Date.parse(sData)) || sData.toLowerCase() == today || sData.toLowerCase() == yesterday)
						{
							return 'specialDate';
						}	
						return null;
					}
					);
					
					jQuery.fn.dataTableExt.oSort['specialDate-asc']  = function(a,b) {
						var x=customDateParse(a);
						var y=customDateParse(b);
						return x-y;
					};

					jQuery.fn.dataTableExt.oSort['specialDate-desc'] = function(a,b) {
						var x=customDateParse(a);
						var y=customDateParse(b);
						return y-x;
					};
					
					function customDateParse(date) {
						var customDate = Date.parse(date);
						if (isNaN(customDate)) {
							d = new Date();
							switch (date.toLowerCase()) 
							{
								case today:
									return Date.parse(d);
									break;
								case yesterday:
									return Date.parse(new Date(d.getFullYear(), d.getMonth(), d.getDate() - 1));
									break;
								default:
									return Date.parse('01/01/1970 00:00:00');
							}
						}
						return customDate;
					}	
													
				
					
        $('.table-list', $('#<%= this.GetWrapperFragmentId() %>')).dataTable({
            bFilter: false,
            bInfo: false,
            bPaginate: false,
            aaSorting: [[<%= SortIndex %>,'<%= SortDir %>']]
        });
        
        $('.False', $('#<%= this.GetWrapperFragmentId() %>')).click(function() { 
            Core_BrowseApplication_AddFavorite(<%= this.GetContextVariable() %>, $(this).attr('id').replace('item_', ''));
        });
        $('.False', $('#<%= this.GetWrapperFragmentId() %>')).removeClass().addClass("internal-link favorite-off").text("<%= ResourceManager.GetString("UIFragment_Core_BrowseApplication_AddFavorite") %>");
        
        $('.True', $('#<%= this.GetWrapperFragmentId() %>')).click(function() { 
            Core_BrowseApplication_RemoveFavorite(<%= this.GetContextVariable() %>, $(this).attr('id').replace('item_', ''));
        });
        $('.True', $('#<%= this.GetWrapperFragmentId() %>')).removeClass().addClass("internal-link favorite-on").text("<%= ResourceManager.GetString("UIFragment_Core_BrowseApplication_RemoveFavorite") %>");
        
        $('.table-header-column', $('#<%= this.GetWrapperFragmentId() %>')).toggle(
            function(){
                $('a', $(this)).removeClass().addClass('internal-link sort-ascending');
            },
            function (){
                $('a', $(this)).removeClass().addClass('internal-link sort-descending');
            }
        );
        
        $('.table-list th:eq(1)', $('#<%= this.GetWrapperFragmentId() %>')).css('text-align', 'center');
        $('.table-list tr td:nth-child(2)', $('#<%= this.GetWrapperFragmentId() %>')).css('text-align', 'center').css('font-weight', 'bold');
        $('.table-list tr:last', $('#<%= this.GetWrapperFragmentId() %>')).addClass("last");
    });
</script>